Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class AbstractSchemaVisitor

    java.lang.Object
      convert.relaxng.output.xsd.basic.AbstractSchemaVisitor

All Implemented Interfaces:
  SchemaVisitor

    public class AbstractSchemaVisitor

extends java.lang.Object
implements SchemaVisitor

Constructor Summary
`AbstractSchemaVisitor()`

Method Summary
`void` | `visitAttributeGroup(AttributeGroupDefinition def)`
`void` | `visitComment(Comment comment)`
`void` | `visitGroup(GroupDefinition def)`
`void` | `visitInclude(Include include)`
`void` | `visitRoot(RootDeclaration decl)`
`void` | `visitSimpleType(SimpleTypeDefinition def)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSchemaVisitor

    public AbstractSchemaVisitor()

Method Detail

### visitGroup

    public void visitGroup(GroupDefinition def)

  Specified by:
    `visitGroup` in interface `SchemaVisitor`

### visitAttributeGroup

    public void visitAttributeGroup(AttributeGroupDefinition def)

  Specified by:
    `visitAttributeGroup` in interface `SchemaVisitor`

### visitSimpleType

    public void visitSimpleType(SimpleTypeDefinition def)

  Specified by:
    `visitSimpleType` in interface `SchemaVisitor`

### visitInclude

    public void visitInclude(Include include)

  Specified by:
    `visitInclude` in interface `SchemaVisitor`

### visitRoot

    public void visitRoot(RootDeclaration decl)

  Specified by:
    `visitRoot` in interface `SchemaVisitor`

### visitComment

    public void visitComment(Comment comment)

  Specified by:
    `visitComment` in interface `SchemaVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD